Skip to main content
POST
/
api
/
board
/
{boardId}
/
cycle
Creates a new cycle on the specified board.
curl --request POST \
  --url https://{install}/api/board/{boardId}/cycle \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "name": "<string>",
  "description": "<string>",
  "boardId": "<string>",
  "order": 123,
  "parent": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "finishDate": "2023-11-07T05:31:56Z",
  "budgetHours": 123,
  "locked": true,
  "closed": true,
  "items": [
    "<string>"
  ],
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'

Documentation Index

Fetch the complete documentation index at: https://ekso.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

boardId
string
required

The board ID the cycle will belong to.

Body

The cycle data to create.

entity
null | string
name
string
description
string
boardId
string
order
integer<int32>
parent
string
startDate
null | string<date-time>
finishDate
null | string<date-time>
budgetHours
integer<int32>
locked
boolean
closed
boolean
items
string[]
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

Cycle created successfully.